Name:          scribus
Version:       1.4.4
Release:       1mamba
Summary:       Open Source Page Layout program
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.scribus.net
Source0:       http://downloads.sourceforge.net/sourceforge/scribus/scribus-%{version}.tar.xz
Source1:       scribus-mimelnk
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: aspell-devel
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libhyphen-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libpodofo-devel
BuildRequires: libpython-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 5.8.0
BuildRequires: libpodofo-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Scribus is an desktop open source page layout program with the aim of producing commerical grade output in PDF and Postscript, primarily, though not exclusively for Linux.
While the goals of the program are for ease of use and simple easy to understand tools, Scribus offers support for professional publishing features, such as CMYK colors, easy PDF creation, Encapsulated Postscript import/export and creation of color separations.

%package devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description devel
Scribus is an desktop open source page layout program with the aim of producing commerical grade output in PDF and Postscript, primarily, though not exclusively for Linux.
While the goals of the program are for ease of use and simple easy to understand tools, Scribus offers support for professional publishing features, such as CMYK colors, easy PDF creation, Encapsulated Postscript import/export and creation of color separations.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#install -D -m0644 scribus.desktop \
#   %{buildroot}%{_kdedatadir}/applnk/Office/scribus.desktop
#install -D %{S:1} \
#   %{buildroot}%{_kdedatadir}/mimelnk/application/x-scribus.desktop

#for f in AUTHORS BUILDING COPYING ChangeLog ChangeLogSVN INSTALL\
#       NEWS PACKAGING README README.MacOSX TODO; do
#   rm -f %{buildroot}%{_kdedatadir}/doc/scribus-%{version}/$f
#done
#sed -i "s|scribusicon|%{_kdedatadir}/pixmaps/scribusicon.png|" \
#   %{buildroot}%{_kdedatadir}/applnk/Office/scribus.desktop \
#   %{buildroot}%{_kdedatadir}/mimelnk/application/x-scribus.desktop

install -d -m0755 %{buildroot}%{_mandir}
mv %{buildroot}%{_kde4_sharedir}/man/* %{buildroot}%{_mandir}

rm -f %{buildroot}%{_kde4_sharedir}/doc/scribus/PACKAGING
rm -f %{buildroot}%{_kde4_sharedir}/doc/scribus/README.MacOSX

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_kde4_bindir}/scribus
%{_kde4_libdir}/scribus/plugins
%{_kde4_sharedir}/scribus/dicts
%{_kde4_sharedir}/scribus/dtd
%{_kde4_sharedir}/scribus/editorconfig
%{_kde4_sharedir}/scribus/icons
%{_kde4_sharedir}/scribus/keysets
%{_kde4_sharedir}/scribus/loremipsum
%{_kde4_sharedir}/scribus/plugins
%{_kde4_sharedir}/scribus/profiles
%{_kde4_sharedir}/scribus/samples
%{_kde4_sharedir}/scribus/scripts
%{_kde4_sharedir}/scribus/swatches
%{_kde4_sharedir}/scribus/templates
%{_kde4_sharedir}/scribus/translations
%{_kde4_sharedir}/scribus/unicodenameslist.txt
%lang(de) %{_kde4_sharedir}/doc/scribus/de/*
%lang(en) %{_kde4_sharedir}/doc/scribus/en/*
%lang(it) %{_kde4_sharedir}/doc/scribus/it/*
%{_kde4_sharedir}/doc/scribus/AUTHORS
%{_kde4_sharedir}/doc/scribus/BUILDING
%{_kde4_sharedir}/doc/scribus/COPYING
%{_kde4_sharedir}/doc/scribus/ChangeLog
%{_kde4_sharedir}/doc/scribus/ChangeLogSVN
%{_kde4_sharedir}/doc/scribus/LINKS
%{_kde4_sharedir}/doc/scribus/NEWS
%{_kde4_sharedir}/doc/scribus/README
%{_kde4_sharedir}/doc/scribus/TODO
%{_kde4_sharedir}/doc/scribus/TRANSLATION
%{_kde4_libdir}/scribus/import.prolog
%{_kde4_mimedir}/packages/scribus.xml
%{_kde4_sharedir}/mimelnk/application/vnd.scribus.desktop
%{_mandir}/man1/scribus.1*
%lang(de) %{_mandir}/de/man1/scribus.1*
%lang(pl) %{_mandir}/pl/man1/scribus.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/scribus

%changelog
* Fri Jun 06 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Sat Aug 03 2013 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Sat Jan 26 2013 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- update to 1.4.2

* Tue May 15 2012 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Wed Apr 11 2012 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Thu Feb 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.9-1mamba
- update to 1.3.9

* Fri May 29 2009 Automatic Build System <autodist@mambasoft.it> 1.3.4-2mamba
- automatic rebuild by autodist

* Thu Sep 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-1mamba
- automatic update to 1.3.4 by autodist

* Tue Mar 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3.11-1mamba
- update to 1.3.4

* Mon Jul 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-1qilnx
- update to version 1.2.5 by autospec

* Thu Apr 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.4.1-1qilnx
- update to version 1.2.4.1 by autospec
- new package and summary description as recommended in the PACKAGING file
- full documentation is now in the main tarball

* Thu Sep 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.3-1qilnx
- update to version 1.2.3 by autospec
- specfile fixes

* Mon Jan 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-1qilnx
- update to version 1.2.1 by autospec

* Fri Oct 01 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-3qilnx
- moved *.so links from devel to main package (should fix pdf export problem)

* Tue Aug 31 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2-2qilnx
- added extra document templates (scribus-temp-all-1.2.tar.bz2 package)

* Tue Aug 31 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2-1qilnx
- update to version 1.2 by autospec

* Tue Jul 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.7-1qilnx
- update to 1.1.7

* Fri Mar 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.5-1qilnx
- initial build
